package java.rmi.server;

import java.io.IOException;
import java.io.ObjectInput;
import java.io.ObjectOutput;
import java.io.Serializable;

public final class ObjID implements Serializable {
   public static final int REGISTRY_ID = 0;
   public static final int DGC_ID = 2;
   private long objNum;
   private UID space;
   private static long nextNum;
   private static UID mySpace = new UID();

   public ObjID() {
      UID var1 = mySpace;
      synchronized(var1){}

      try {
         this.space = mySpace;
         this.objNum = (long)(nextNum++);
      } catch (Throwable var3) {
         throw var3;
      }

   }

   public ObjID(int var1) {
      this.space = new UID((short)0);
      this.objNum = (long)var1;
   }

   private ObjID(long var1, UID var3) {
      this.objNum = var1;
      this.space = var3;
   }

   public void write(ObjectOutput var1) throws IOException {
      var1.writeLong(this.objNum);
      this.space.write(var1);
   }

   public static ObjID read(ObjectInput var0) throws IOException {
      long var1 = var0.readLong();
      UID var3 = UID.read(var0);
      return new ObjID(var1, var3);
   }

   public int hashCode() {
      return (int)this.objNum;
   }

   public boolean equals(Object var1) {
      if (var1 != null && var1 instanceof ObjID) {
         ObjID var2 = (ObjID)var1;
         return this.objNum == var2.objNum && this.space.equals(var2.space);
      } else {
         return false;
      }
   }

   public String toString() {
      return "[" + (this.space.equals(mySpace) ? "" : this.space + ", ") + this.objNum + "]";
   }
}
