package java.rmi.server;

import java.net.MalformedURLException;
import java.net.URL;

public class RMIClassLoader {
   private static LoaderHandler handler = null;

   private RMIClassLoader() {
   }

   private static synchronized LoaderHandler getHandler() {
      if (handler == null) {
         try {
            Class var0 = Class.forName(LoaderHandler.packagePrefix + ".LoaderHandler");
            handler = (LoaderHandler)var0.newInstance();
         } catch (Exception var1) {
            throw new Error("No LoaderHandler present");
         }
      }

      return handler;
   }

   public static Class loadClass(String var0) throws MalformedURLException, ClassNotFoundException {
      return getHandler().loadClass(var0);
   }

   public static Class loadClass(URL var0, String var1) throws MalformedURLException, ClassNotFoundException {
      return getHandler().loadClass(var0, var1);
   }

   public static Object getSecurityContext(ClassLoader var0) {
      return getHandler().getSecurityContext(var0);
   }
}
